/*
Copyright (C) 2017 - David A. Redick david.a.redick@gmail.com

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or (at
your option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see http://www.gnu.org/licenses/.
*/

/* ****************************** */
/* Global */
.classScheduler {
	background: #fff;
	color: #000;
}
.classScheduler .hidden {
	display: none !important;
}
/* !!! START USING ME !!! */
.classScheduler .clickable {
	cursor: pointer;
}
.classScheduler .icon {
	width: 14px;
}
/*
 * Ideally we shouldn't have this and should be using clickable icons.
 * But then again links are a universal web element but just make sure you don't have the href attribute.
*/
.classScheduler a {
	cursor: pointer;
	text-decoration: underline;
	color: #00f;
}

/* Grade Group Pink */
.classScheduler .GK-3 {
	background: #ff4fd8;
}
.classScheduler .G4-6 {
	background: #ba00ff;
}
/* Indigo */
.classScheduler .G7-8 {
	background: #5692ff;
}

/* ****************************** */
/* Main */
.classScheduler .main .selection {
	background: #ccc;
	margin: 50px;
	border-radius: 50px;
}
.classScheduler .main .selection .container {
	margin: 25px;
	padding: 25px;
}
.classScheduler .main .selection .container .description {
	font-style: italic;
	margin-top: 20px;
}
.classScheduler .main .icon {
	float: left;
	width: 50px;
	margin-right: 20px;
}
/* ****************************** */
/* MakeSchedule */
.classScheduler .makeSchedule .menuItem {
	background: #00f;
	cursor: pointer;
}
.classScheduler .makeSchedule .menuItem.active {
	background: #0f0;
}
.classScheduler .makeSchedule .action {
	background: #f06a08;
	border-radius: 10px;
	color: #fff;
	cursor: pointer;
	margin-left: 10px;
	width: 90px;
	padding: 5px;
}
/* ****************************** */
/* MakeTemplate */
/* ****************************** */
/*  Modal */
.classScheduler .modal {
	/* RGBA */
	background: #cdcdcd99;
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0px;
	left: 0px;
}
.classScheduler .modal .container {
	/*Useful for debugging*/
	background: #ff0;
}
.classScheduler .modal .EditClassTimeBlock {
	border-radius: 30px;
	border-style: solid;
	border-width: thin;
	background: #fff;
	padding: 3%;
	position: absolute;
	top: 25%;
	left: 35%;
}
/* ****************************** */
/*  RoomTable */
.classScheduler .roomTable .subject {
	float: left;
	background: #0f0;
	text-align: center;
	border-left: 1px solid black;
}
.classScheduler .roomTable .subject > .name {
	background: yellow;
	height: 35px;
}
.classScheduler .roomTable .timeLine {
	background: #ccc;
}
.classScheduler .roomTable .room {
	float: left;
	background: #f00;
}
.classScheduler .roomTable .addRoom {
	background: #f06a08;
	border-radius: 10px;
	color: #fff;
}
.classScheduler .roomTable .room > .name {
	height: 35px;
}
.classScheduler .roomTable .block {
	background: #00f;
	min-width: 100px;
	text-align: left;
}
.classScheduler .roomTable .block .container {
	padding-top: 3px;
	padding-right: 7px;
	padding-bottom: 3px;
	padding-left: 7px;
}
.classScheduler .roomTable .block .teacherName {
	font-size: 13px;
	line-height: initial;
}
.classScheduler .roomTable .block .timeFrame {
	font-size: 10px;
	line-height: initial;
}
.classScheduler .roomTable .block.spacer {
	padding: 0px;
	text-align: left;
	background: #ccc;
}
.classScheduler .roomTable .action {
	background: #f06a08;
	border-radius: 10px;
	color: #fff;
	display: inline-block;
	margin-left: 10px;
	min-width: 90px;
	padding: 5px;
}
.classScheduler .roomTable .action.addRoom {
	margin-top: 8px;
}
/* ****************************** */
/* StudentTable */
.classScheduler .studentTable .action {
	background: #f06a08;
	border-radius: 10px;
	color: #fff;
	cursor: pointer;
	display: inline-block;
	margin-left: 10px;
	min-width: 90px;
	padding: 5px;
}
/* open-iconic icons are black by default, this will make them white. */
.classScheduler .studentTable .action .icon {
	-webkit-filter: invert(100%);
	filter: invert(100%);
}
.classScheduler .studentTable .columnStudentName {
	min-width: 100px;
}
.classScheduler .studentTable .rowPrompt {
	font-style: italic;
}
/* ****************************** */
/* ViewDay */
/* ****************************** */
/*  ViewWeek */
.classScheduler .viewWeek .action {
	background: #f06a08;
	border-radius: 10px;
	color: #fff;
	display: inline-block;
	margin-left: 10px;
	min-width: 90px;
	padding: 5px;
}
.classScheduler .viewWeek .day {
	cursor: pointer;
	display: inline-block;
	margin: 10px;
	padding: 30px 10px 30px 10px;
	width: 200px;
	border-radius: 20px;
}
.classScheduler .viewWeek .day.past {
	background: #ddd;
	color: #000;
}
.classScheduler .viewWeek .day.current {
	background: #0f0;
}
.classScheduler .viewWeek .day.future {
	background: #00f;
}
.classScheduler .viewWeek .day.unscheduled {
	background: #f06a08;
}
